package cn.reghao.file.api.iface;

import cn.reghao.file.api.dto.ObjectMeta;
import cn.reghao.file.api.dto.VideoMeta;

/**
 * @author reghao
 * @date 2024-07-03 14:40:25
 */
public interface OssService {
    void checkAndSetScope(String objectId, int scope);
    void deleteByObjectId(String objectId);
    void deleteByObjectUrl(String objectUrl);
    String getSignedUrl(String objectId, String objectUrl);
    ObjectMeta getObjectMeta(String objectId);
    VideoMeta getVideoMeta(String videoFileId);
}
